summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authordtucker@openbsd.org <dtucker@openbsd.org>2024-03-29 10:40:07 +0000
committerDarren Tucker <dtucker@dtucker.net>2024-03-29 22:01:20 +1100
commit7844705b0364574cc70b941be72036c2c2966363 (patch)
treec659808946b145b778b2aaa98b68f2ec2027a692
parent22b2b6c555334bffdf357a2e4aa74308b03b83c3 (diff)
upstream: Use egrep instead of grep -E.
Some plaforms don't have the latter so this makes things easier in -portable. OpenBSD-Regress-ID: ff82260eb0db1f11130200b25d820cf73753bbe3
-rw-r--r--regress/sftp-cmds.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/regress/sftp-cmds.sh b/regress/sftp-cmds.sh
index b16bc309..9b08bde5 100644
--- a/regress/sftp-cmds.sh
+++ b/regress/sftp-cmds.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: sftp-cmds.sh,v 1.18 2024/03/26 08:09:16 dtucker Exp $
+# $OpenBSD: sftp-cmds.sh,v 1.19 2024/03/29 10:40:07 dtucker Exp $
# Placed in the Public Domain.
# XXX - TODO:
@@ -42,7 +42,7 @@ echo "ls ${OBJ}" | ${SFTP} -D ${SFTPSERVER} >/dev/null 2>&1 \
verbose "$tid: shell"
echo "!echo hi there" | ${SFTP} -D ${SFTPSERVER} 2>&1 | \
- grep -E '^hi there$' >/dev/null || fail "shell failed"
+ egrep '^hi there$' >/dev/null || fail "shell failed"
verbose "$tid: pwd"
echo "pwd" | ${SFTP} -D ${SFTPSERVER} >/dev/null 2>&1 \